﻿//JScript file to store enums

//States of where we user Hover Over Search
var HoverOverStates = {
    ComplexAdd: 1,
    BubbleSearch: 2
};

/** Types of Bar Searches we currently have */
var BarSearchTypes = {
    Unknown2: 2,
    Unknown4: 4,
    Unknown33: 33,
    Unknown26: 26, 
    Unknown300: 300,
    UnkownWebsiteValue: 400,
    KnownWebsiteValue: 401,
    // This was primarily set up for Battery Venture so that the bar show is a custom 
    // implementation for what they wanted to see, but is adaptable to be used for more than that
    CustomBarAccount: {
        /**
         * This uses the url of the page as the search term to search against an Accounts domain in Salesforce
         */
        URL: "CustomBarAccountUrl",
        /**
         * This uses the company name on a linkedin profile to match to a Account record in Salesforce
         */
        LINKEDINCOMPANY: "CustomBarAccountLinkedInCompany",
        /**
         * This searches for a contact, by name, in Salesforce returning their associated account
         */
        LINKEDINUSER: "CustomBarAccountLinkedInPerson"
    }
}