﻿function DecodeOnlyCertainLetters(word) {
    word = '' + word;
    word = word.replace(/&amp;/g, "&");
    word = word.replace(/&quot;/g,'"');
   
    return word;
}

function CharacterSupport(words) {
   // //console.log("Before: " + words);
     var word = $(document.createElement('div')).html(words).text();
    // //console.log("After: " + word);
    return word;
}


var encodeHTML = (function () {

    var encodeHTMLmap = {
        "&": "&amp;",
        "'": "'",
        '"': "&quot;",
        "<": "&lt;",
        ">": "&gt;"
    };

    /**
    * encode character as HTML entity
    * @param {String} ch character to map to entity
    * @return {String}
    */
    function encodeHTMLmapper(ch) {
        return encodeHTMLmap[ch];
    }

    return function (text) {
        // search for HTML special characters, convert to HTML entities
        return text.replace(/[&"'<>]/g, encodeHTMLmapper);
    };

})();


function GenerateLoaderByClass(classname) {
    var loading = document.getElementsByClassName(classname);
    var imgLoader = document.createElement('img');
    imgLoader.src = "../images/ajax-loader.gif";
    imgLoader.setAttribute("alt", "Loading"); 
    loading.appendChild(imgLoader); 
    //<img src="../images/ajax-loader.gif" alt="loading chatter" />
}



function SetErrorMessageCompany(firstline, secondline) {

    var errorMsgElem = document.createElement('div');
    errorMsgElem.id = "messageName";
   // errorMsgElem.setAttribute("class","itemlist");

    var pElem = document.createElement('p');
    pElem.innerText = firstline;
    errorMsgElem.appendChild(pElem);
    var brElem = document.createElement('br');
    errorMsgElem.appendChild(brElem);
    var pElem2 = document.createElement('p');
    pElem2.innerText = secondline;
    errorMsgElem.appendChild(pElem2);

    var failureMsgplaceHolder = document.getElementById('failureMessageCompany');
    failureMsgplaceHolder.innerHTML = '';
    failureMsgplaceHolder.appendChild(errorMsgElem);
}

function AssignLoaderWithText(selector, text) {
    var text1 = document.createTextNode(text);
    
    
    $(selector).html('<img src="../images/ajax-loader.gif" alt="Loading Chatter" />' + text1.textContent);
}
function AssignLoader(selector) {
    
    $(selector).html('<img src="' + chrome.extension.getURL("/images/ajax-loader.gif") +'" alt="Loading" />');
}

function StripHtml(html) {
    html = html.replace(/<br>/g, '\r\n');
    var tmp = document.createElement("DIV");
    tmp.innerHTML = html;
    return tmp.textContent || tmp.innerText || "";
}

function CreateBr() {
    var spanHeader = document.createElement('br');
    return spanHeader;
}

function SetErrorMessage(firstline, secondline) {

    var errorMsgElem = document.createElement('div');
    errorMsgElem.id = "messageName";
    //errorMsgElem.setAttribute("class","itemlist");

    var pElem = document.createElement('p');
    errorMsgElem.appendChild(pElem.appendChild(document.createTextNode(StripHtml(firstline))));
    errorMsgElem.appendChild(CreateBr());

    //If the error advises to refresh settings include a quicklink to do it
    if (secondline.length > 0)
    {
        errorMsgElem.appendChild(CreateBr());

        if (secondline.indexOf("refreshing your settings") == -1)
        {
            var pElem2 = document.createElement('p');
            pElem2.appendChild(document.createTextNode((secondline)));
            errorMsgElem.appendChild(pElem2);
        }
        else
        {
            //Click Here Link to refresh settings
            var clickHereTxt = document.createElement('a');
            clickHereTxt.href = "#";
            clickHereTxt.appendChild(document.createTextNode("click here"));

            var pElem2 = document.createElement('p');
            pElem2.appendChild(document.createTextNode("Please "));
            pElem2.appendChild(clickHereTxt);
            pElem2.appendChild(document.createTextNode(" to refresh your settings and try again"));
            errorMsgElem.appendChild(pElem2);

            //Set click event on the 'click here' text to refresh settings on error message appearing
            $(clickHereTxt).on("click", function () {
                ReloadSettingsPage();
                var textNode = document.createTextNode(" Loading Settings...");
                var loaderImg = document.createElement("img");
                loaderImg.src = "../images/ajax-loader.gif";
                errorMsgElem.appendChild(CreateBr())
                errorMsgElem.appendChild(CreateBr());
                errorMsgElem.appendChild(loaderImg);
                errorMsgElem.appendChild(textNode);
                background.LogEventShort("Refresh Settings - Error Message");
            });
        }
    }

    var failureMsgplaceHolder = document.getElementById('failureMessage');
    if (failureMsgplaceHolder != null) {
        failureMsgplaceHolder.innerHTML = '';
        failureMsgplaceHolder.appendChild(errorMsgElem);
        $(failureMsgplaceHolder).css('visibility', 'visible');
    }
}