﻿
function ABobject(_showNewBar, _shownewBarEverywhere, _loggmail, _logsalesforce, _logEverything, _linkedIn,
                        _complexAdd, _parseGmail, _ShowGmailTemplates, _EnableGmailEmailTracking, _EnableGMailAPI, _EnableContactSync,
                        _linkTracking, _plainTextlinkTracking, _enableSendLater, _enableCampainMgr, _enableMeetingScheduler) {
    this.ShowNewBar = _showNewBar;
    this.ShowNewBarEveryWhere = _shownewBarEverywhere;
    this.LogGmail = _loggmail;
    this.LogSalesforce = _logsalesforce;
    this.LogLinkedin = _linkedIn;
    this.LogEverything = _logEverything;
    this.ShowComplexAdd = _complexAdd;
    this.ParseGmailContent = _parseGmail;
    this.ShowGmailTemplates = _ShowGmailTemplates;
    this.EnableGmailEmailTracking = _EnableGmailEmailTracking;
    this.EnableGMailAPI = _EnableGMailAPI; // Should we use the Google API to get the message information i.e. message body, dates, attachments etc etc
    this.EnableContactSync = _EnableContactSync;
    this.EnableLinkTracking = _linkTracking;
    this.EnablePlainTextlinkTracking = _plainTextlinkTracking; // for tracking plain text links (non anchor tag) in email
    this.EnableSendLater = _enableSendLater;
    this.EnableCampainMgr = _enableCampainMgr;
    this.EnableMeetingScheduler = _enableMeetingScheduler;
}

function GetAbTestingObj(version) {

    if (version == "1") {
        return new ABobject(1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "2") {
        return new ABobject(1, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "3") {  
        return new ABobject(0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "4") {  
        return new ABobject(1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "5") {  
        return new ABobject(1, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "6") {  
        return new ABobject(1, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "7") {  
        return new ABobject(1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "8") {
        return new ABobject(0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
    }
    else if (version == "9") { ////standard features. --ESSENTIAL
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0);
    }
    else if (version == "10") { //standard features. --ESSENTIAL+(PLUS)
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0);
    }
    else if (version == "11") { //basic link tracking.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0);
    }
    else if (version == "12") { //advanced link tracking.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0);
    }
    else if (version == "13") { //enable send later, disable link tracking.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0, 0);
    }
    else if (version == "14") { //enable send later, enable basic link tracking.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 0);
    }
    else if (version == "15") { //enable send later, enable advanced link tracking. --GROWTH
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0);
    }
    else if (version == "16") { // enable campaign manager // disable send later and link tracking
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 0);
    }
    else if (version == "17") { // enable campaign manager and basic link tracking //disable send later and  advanced link tracking
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 0);
    }
    else if (version == "18") { // enable campaign manager and advanced link tracking //disable send later
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0);
    }
    else if (version == "19") { // enable campaign manager and advanced link tracking and send later
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0);
    }
    else if (version == "20") { // DISABLE send later and link tracking and campaignmanagement//ENABLE meeting scheduler.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 1);
    }
    else if (version == "21") { //enable campaign manager and basic link tracking and Meeting Scheduler //disable send later and  advanced link tracking
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1);
    }
    else if (version == "22") { //enable campaign manager and meeting scheduler and advanced link tracking //disable send later//no .
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1);
    }
    else if (version == "23") { // enable campaign manager and advanced link tracking and send later
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1);
    }
    else if (version == "24") { // DISABLE link tracking; enabled everything else.
        return new ABobject(1, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 0, 0, 1, 1, 1);
    }
    else {
        return new ABobject(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0);
    }
}

function GetAbTestingRules(version) {
    var obj = GetAbTestingObj(version);

    return JSON.stringify(obj);
}

//Searches Local Storage for the Abtesting flag then returns the given Abtesting object
function GetAbtestingObject(abTesterVal) {
    if (abTesterVal != null) {
        return GetAbTestingObj(abTesterVal);
    }

    return GetAbTestingObj();
}