﻿var whatProductApp = "10"; // Free

$('.ssobox').hide();

//If we have a session ID and a layoutmanager that should be good enough to redirect
if (localStorage.SessionCode != null && localStorage.SessionCode !== "00000000-0000-0000-0000-000000000000" && localStorage.SessionCode !== "null") {
    if (IsValidJSON(localStorage.LayoutManager)) {
        window.location = "../html/Main.html?chk=1";
    }
}

// Attach Events..
$("body").delegate("#btLogin", "click", function () {
    LoginMeIn();
});

$("body").delegate("#btLoginSandbox", "click", function () {
    LoginMeInSandbox();
});

$("body").delegate("#btSSO", "click", function () {

    $('.ssobox').show();
    var valstripped = $(document.createElement('div')).html(localStorage.SingleSignOn).text();
    $('#txtDomain').val(valstripped);
    
    $('#btSSO').hide();
});


$("body").delegate("#btSignIn", "click", function () {

    var txtVal = "" + $('#txtDomain').val();
    localStorage.SingleSignOn = txtVal;
    
    var txt = encodeURIComponent(txtVal);
    openURLTab("https://console.ebsta.com/Salesforce/PortalLogin.aspx?ver=" + whatProductApp + "&pt=" + txt);
});



$("body").delegate(".email", "click", function () {
    openURLTab($(this).attr('href'));
});

function openURLTab(uri) {
    chrome.tabs.getSelected(null, function (tab) {
        //chrome.tabs.update(tab.id, { url: uri });
        chrome.tabs.create({"url":uri,"selected":true}, null);
    });
}


$("#loggingin").css("visibility", "hidden");

function LoginMeIn() {
    openURLTab("https://console.ebsta.com/Salesforce/RequestAccess.aspx?ver=" + whatProductApp);
}

function LoginMeInSandbox() {
    openURLTab("https://console.ebsta.com/Salesforce/LoginSandbox.aspx?ver=" + whatProductApp);
}


function MoveMe(url) {

    localStorage.lastKnown = window.location;
    window.location = url;
}

function GetRules() {

    var rulesDomain = "";
    var varData = '{"sessionId": "' + localStorage.SessionCode + '","userKey": "' + localStorage.WebUserId + '","crmId": "' + localStorage.CrmId + '","domain": "' + rulesDomain + '"}';
   
    var service = localStorage.MainConnector + '/Connector.svc/GetRuleListSalesforce';
    if (localStorage.Debug != null) {
        if (localStorage.Debug == "true") {
            service = '/Connector.svc/GetRuleList_Debug';
        }
    }
     

    $.ajax({
        type: "POST", //GET or POST or PUT or DELETE verb
        url: service, // Location of the service
        data: varData, //Data sent to server
        contentType: "application/json; charset=utf-8", // content type sent to server
        dataType: "json", //Expected data format from server
        processdata: true, //True or False
        timeout: 30000,
        success: function (msg) {//On Successfull service call
         
            // We need to work out how to get this going. 
            var objJson = JSON.stringify(msg);

            if (msg.d != null) {
                localStorage.Rules = objJson;
            }


        },
        error: function (xhr, status, error) {
           
        }
    });
}

