﻿function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regexS = "[\\?&]" + name + "=([^&#]*)";
    var regex = new RegExp(regexS);
    var results = regex.exec(window.location.search);
    if (results == null)
        return "";
    else
        return decodeURIComponent(results[1].replace(/\+/g, " "));
}

var licence = "Pro";

window.addEventListener("DOMContentLoaded", function () {

    RunSearch();

    $("body").delegate("#close", "click", function () {
        chrome.extension.sendMessage({ MessageType: "CloseBar" });
    });

}, false);

function UpdateNumberOfResults(count) {
    document.getElementById("ebstanumberofrecords").innerText = count;
}

function IsPopup(window) {

    if (window.menubar.visible == false && window.opener == null) {

         
        return true;
    }
    else {
         
        return false;
    }

}

function ClearBar() {
    $(".ebstabar").removeClass("redbar");
    $(".ebstabar").removeClass("greenbar");
    $(".ebstabar").removeClass("bluebar");
    $(".ebstabar").removeClass("expiredbar");
}
function RunSearch() {    

    var searchType = "" + getParameterByName('st');
    
    var isChatterOnlyAccount = '' + getParameterByName('co');

    var name = getParameterByName('name');

    if (searchType != "3") {
        name = EbstaNameSanitizer.TidyName(name);
    }
    var movePage = getParameterByName('changeView');
    
   
    if (searchType == "50") {
        ClearBar();
        
        chrome.extension.sendMessage({
            MessageType: "SetUpgradeDay"
        }, function (response) {
        }
         );
        
        
        
        $(".ebstabar").addClass("expiredbar");
        var aLinke = document.createElement("span");
        aLinke.setAttribute("class", "openPro");
        aLinke.innerText = "Upgrade to Ebsta Pro to view, edit and update Salesforce without leaving this website. See Pricing";
        
       // var searchingForText = document.createTextNode(' to put Salesforce inside this website with Ebsta');

        $('#messageText').text('');
        $('#messageText').append(aLinke);
        
        $('.openPro').click(function () {
            chrome.extension.sendMessage({
                MessageType: "PaymentPageOpen"
            }, function (response) {
            }
          );
            
        }
        );
    }
    else if (searchType == "40") {
        ClearBar();
        ClearBar();

        $(".ebstabar").addClass("expiredbar");
        var searchingForText = document.createTextNode('Start a Free trial of Ebsta Pro to put Salesforce inside this site with Ebsta');

        $('#messageText').text('');
        $('#messageText').append(searchingForText);
        

    }
    else if (isChatterOnlyAccount == "1") {
        var chatterUserText = document.createTextNode('Chatter User? Contact <a href="mailto:support@ebsta.com" target="_blank" style="text-decoration:underline;color:#ffffff;">support@ebsta.com</a> for more information on how to view Salesforce results for ' + name + ' in Ebsta.');

        $('#messageText').text('');
        $('#messageText').append(chatterUserText);
    }else if (searchType == "33") {

        $(".ebstabar").removeClass("redbar");
        $(".ebstabar").removeClass("greenbar");
        $(".ebstabar").removeClass("bluebar");
        $(".ebstabar").addClass("greybar");
        $(".ebstabar").text('');
    }else if (searchType == "2") {

        var searchingForText = document.createTextNode('Searching for ' + name + ' in companies');

        $('#messageText').text('');
        $('#messageText').append(searchingForText);
        //$('#messageText').text('Searching for ' + name + ' in companies');
        chrome.extension.sendMessage({ MessageType: "BarCompanySearch", SearchTerm: "" + name, ChangeView: movePage }, function (response) {
            // This should be results.. ?
            
            if (response.result == "notloggedin") {
                $('#messageText').text('Please login to get search results');
            }
        });

    } else if (searchType == "26") { //load from the background activity poll...       

        // Removed all the rubbish.
        var blueBarText = '';
        $('#messageText').text('');
        $('#messageText').append(blueBarText);
       
        $(".ebstabar").removeClass("redbar");
        $(".ebstabar").removeClass("greenbar");
        $(".ebstabar").addClass("bluebar");
    } else {

        var barText = document.createTextNode('Searching for ' + name + ' in people.');

        $('#messageText').text('');
        $('#messageText').append(barText);
       
        chrome.extension.sendMessage({ MessageType: "BarSearch", SearchTerm: "" + name, ChangeView: "" + movePage }, function (response) {
            // This should be results.. ?
            if (response.result == "LoggedOut") {
                $('#messageText').text('You are currently Logged Out, Login here');
            }
            
            if (response.result == "notloggedin") {               
                $('#messageText').text('Please login to get search results');
            }            
        });
    }
}

chrome.extension.onMessage.addListener(
 function (request, sender, sendResponse) {
     var userFailAuth = false;
     if (request.DataObject != null) {
         if (request.DataObject.indexOf('REAUTH:') != -1) {
             userFailAuth = true;
         }
     }

     if (request.MessageType == "BarSearchResults" && !userFailAuth) {

         var displayText = request.SearchType;
         var arrowString = ' <img id="ebstaarrow" src="../images/curvedarrow.png" />';
         var whyNotAdd = ' Click to create a new record.';
         var databaseBeingSearched = '';
         var dbTypeId = request.CrmDBType;

         switch (dbTypeId) {
             case '2':
                 databaseBeingSearched = 'Salesforce';
                 break;
             case '20':
                 databaseBeingSearched = 'Jobscience';
                 break;
             case '21':
                 databaseBeingSearched = 'Talent Rover';
                 break;
             case '22':
                 databaseBeingSearched = 'Target Recruit';
                 break;
             case '23':
                 databaseBeingSearched = 'Click To Cloud';
                 break;
             default:
                 databaseBeingSearched = 'Salesforce';
                 break;
         }
         
         if (request.SearchType != "MissingAuth") {
             sendResponse({ farewell: "goodbye" });
             if (request.SearchType == "client") {
                 displayText = "companies";
             }

             if (request.SearchType == "sfcontact") {
                 displayText = "contacts";
             }

             if (request.SearchType == "sfaccount") {
                 displayText = "accounts";
             }

             if (request.SearchType == "people-auto") {
                 displayText = "people";
             }

             if (request.SearchType == "people-manual") {
                 displayText = "people";
             }

             if (request.SearchType == "client-auto") {
                 displayText = "client";
             }

             if (request.SearchType == "client-manual") {
                 displayText = "client";
             }

             if (request.SearchType == "company-auto") {
                 displayText = "company";
             }

             if (request.SearchType == "company-manual") {
                 displayText = "company";
             }

             if (IsPopup(window)) {
                 $("#messageText").addClass('popuparrow');
             }

             var url = '' + request.Url;
             //var urlSplit = url.split("/");

             if (request.SearchTerm == "usertasksbar") {
                 
                 var blueBarText = document.createTextNode(databaseBeingSearched + ' found ' + request.Result + ' results searching for ' + request.SearchTerm + '. Click to view.');

                 $('#messageText').text('');
                 $('#messageText').append(blueBarText);
                 //$('#messageText').text(databaseBeingSearched + ' found ' + request.Result + ' results searching for ' + request.SearchTerm + '. Click to view.');

                 $(".ebstabar").removeClass("redbar");
                 $(".ebstabar").removeClass("greenbar");
                 $(".ebstabar").addClass("bluebar");
             } else {
                 if (request.Result + '' == '1') {
                     $(".ebstabar").removeClass("redbar");
                     $(".ebstabar").addClass("greenbar");
                     $(".ebstabar").removeClass("bluebar");

                     var greenBarText = document.createTextNode(databaseBeingSearched + ' found ' + request.Result + ' result searching for ' + request.SearchTerm + '. Click to view.');

                     $('#messageText').text('');
                     $('#messageText').append(greenBarText);
                     //$('#messageText').text(databaseBeingSearched + ' found ' + request.Result + ' result searching for ' + request.SearchTerm + '. Click to view.');
                 } else if (request.Result + '' == '-2') {
                     var noResultsText = document.createTextNode(databaseBeingSearched + ' found no results searching for ' + request.SearchTerm + '.');

                     $('#messageText').text('');
                     $('#messageText').append(noResultsText);
                     //$('#messageText').text(databaseBeingSearched + ' found no results searching for ' + request.SearchTerm + '.');
                 } else {

                     if (request.Result + '' == '0') {
                         if (url.toLowerCase().indexOf("www.linkedin.co") == -1) {
                             var linkedInMessageText = document.createTextNode(databaseBeingSearched + ' found no results searching for ' + request.SearchTerm + '. ' + whyNotAdd);

                             $('#messageText').text('');
                             $('#messageText').append(linkedInMessageText);
                        }
                         else {
                             var noResultsText2 = document.createTextNode(databaseBeingSearched + ' found no results searching for ' + request.SearchTerm + '.');

                             $('#messageText').text('');
                             $('#messageText').append(noResultsText2);
                         }
                         
                     } else {
                         $(".ebstabar").removeClass("redbar");
                         $(".ebstabar").addClass("greenbar");
                         $(".ebstabar").removeClass("bluebar");

                         var greenBarResultsText = document.createTextNode(databaseBeingSearched + ' found ' + request.Result + ' results searching for ' + request.SearchTerm + '. Click to view.');

                         $('#messageText').text('');
                         $('#messageText').append(greenBarResultsText);
                         //$('#messageText').text(databaseBeingSearched + ' found ' + request.Result + ' results searching for ' + request.SearchTerm + '. Click to view.');
                     }
                 }
             }

         } else {
             $('#messageText').text('Please Login to continue searching.');
         }

         $("#messageText").delegate("#close", "click", function () {
             chrome.extension.sendMessage({ MessageType: "CloseBar" });
         });


     } else {
         $('#messageText').text('Please Login to continue searching.');
     }
 });
